Package io.dapr.workflows.client

# Interface WorkflowFailureDetails

All Known Implementing Classes:
  `DefaultWorkflowFailureDetails`

public interface WorkflowFailureDetails
Represents a workflow failure details.

## Method Summary

Modifier and Type
Method
Description
`String`
`getErrorMessage()`
Gets the error message.
`String`
`getErrorType()`
Gets the error type, which is the namespace-qualified exception type name.
`String`
`getStackTrace()`
Gets the stack trace.
`default boolean`
`isCausedBy(Class<? extends Exception> exceptionClass)`
Checks whether the failure was caused by the provided exception class.

## Method Details

### getErrorType

String getErrorType()
Gets the error type, which is the namespace-qualified exception type name.

Returns:
  the error type, which is the namespace-qualified exception type name

### getErrorMessage

String getErrorMessage()
Gets the error message.

Returns:
  the error message

### getStackTrace

String getStackTrace()
Gets the stack trace.

Returns:
  the stack trace

### isCausedBy

default boolean isCausedBy(Class<? extends Exception> exceptionClass)
Checks whether the failure was caused by the provided exception class.

Parameters:
  `exceptionClass` - the exception class to check
Returns:
  `true` if the failure was caused by the provided exception class